﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Outbox Mail Settings</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Outbox Mail Settings</h1>
        <p>The Outbox Mail settings are primarily used for configuring the receipt of actionable emails from users who have taken actions. The Outbox configuration options are available in&#160;<b>ADMIN &gt; SMTP &gt;&#160;SMTP Mail Configuration form&#160;&gt; Out Box</b>. After setting the Outbox mail settings, run <strong>IncomingMailARSJob</strong> from <strong>Job Control Panel &gt; Utility&#160;</strong>to allow you to process and read actionable emails and take necessary actions based on approval or rejection done by users using email.</p>
        <p>To setup the Outbox mail settings, perform the following steps:</p>
        <ol>
            <li>To configure and setup the parameters for receiving actionable emails on which users have already taken actions, click <b>ADMIN &gt; SMTP &gt;&#160;SMTP Mail Configuration form&#160;&gt; Out Box</b> (scroll to the end of the page).</li>
            <li>
                <p class="auto-cursor-target">Specify values for the following Outbox Mail Setup parameters for receiving emails based on the Email service client you are using:</p>
                <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                    <col style="width: 34.7126%;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 65.3493%;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Type of out Box</td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Allows you to specify the type of out box, which is IMAP for receiving email.</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Server address</td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Enter the server address for receiving actionable emails.</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Folder Name</td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify the name of the folder where you want to receive actionable emails.</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Message Starts with</td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">This is used to filter and process only those emails, which are starting with the specified word in the subject line.</p>
                                <p class="table-text">For example, if you specify ARS as Message Start With, it will only filter and process the actionable emails starting with the subject line ARS.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">User Name</td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Enter the username of the email account for receiving emails.</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Password</td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Enter the password of the email account for receiving emails.</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Port Number</td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify the port number for receiving emails.</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Process Emails received in the last X hours</td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Used to specify the interval when you want to process the emails since last &lt;specified hours&gt; duration.</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Email Body Delimiter</td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">This parameter is used to parse the email content and ignore the text after the configured delimiter string.&#160;</p>
                                <p class="table-text">Ensure that the same string set in this parameter, has to be configured in the TEMPLATECONTENT of Actionable Email</p>
                                <p class="table-text">For example,&#160;</p>
                                <p class="table-text">If the parameter as set&#160;as "--- IGNORE BELOW ---", and the same string is configured in the Actionable Email. When the manager clicks on <strong>Approve</strong> or <strong>Reject</strong> on the approval email, system will parse the email contents and ignore the text after "--- IGNORE BELOW ---" (delimiter text), before saving the email content in request comments.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Delete Email after processing</td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Selecting this checkbox will delete the emails after processing.</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">POP3SSL Enable</td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">Select this checkbox to enable POP3SSL.</td>
                        </tr>
                    </tbody>
                </table>
            </li>
            <li>Click <strong>Save</strong>.&#160;You are taken to the main screen, click <strong>Save</strong> to save the email settings.</li>
            <li>Run&#160;<b>IncomingMailARSJob</b>.&#160;</li>
        </ol>
    </body>
</html>